# Croud Style Guide
[![Build Status](https://travis-ci.org/CroudSupport/Croud-Style-Guide.svg?branch=master)](https://travis-ci.org/CroudSupport/Croud-Style-Guide)
[![npm version](https://badge.fury.io/js/croud-style-guide.svg)](https://badge.fury.io/js/croud-style-guide)

The Croud Style Guide is a mixture of **design patterns** and technical documentation for **reusable UI components**.

[Live Style Guide](https://croudsupport.github.io/Croud-Style-Guide/#/)

[Live Technical Docs](https://croudsupport.github.io/Croud-Style-Guide/technical/)

## Updating

To update the style guide, simply run yarn upgrade on the npm package: 

    yarn upgrade croud-style-guide


Read the [docs](https://github.com/CroudSupport/Croud-Style-Guide/blob/master/docs/Upgrading.md) for more information on upgrading.

## Using the Style Guide

Please take a look at the [Documentation](https://github.com/CroudSupport/Croud-Style-Guide/blob/master/docs/Introduction.md) for details on how to install and contribute to the style guide.

## Contributing

Before contributing please take a minute to read our [CONTRIBUTING.md](https://github.com/CroudSupport/Croud-Style-Guide/blob/master/CONTRIBUTING.md) file just so that any additions comply with the rules put in place to keep this project consistent and of good quality.

Also take a look at the [Documentation](https://github.com/CroudSupport/Croud-Style-Guide/blob/master/docs/UpdatingTechDocs.md) provided for guides on how to contribute.

## Built With

* [Semantic UI](https://github.com/Semantic-Org/Semantic-UI) - CSS framework
* [Vue Styleguidist](https://github.com/vue-styleguidist/vue-styleguidist) - Style guide generator for vue components

For detailed explanation on how things work, checkout the [guide](http://vuejs-templates.github.io/webpack/) and [docs for vue-loader](http://vuejs.github.io/vue-loader).
